r119 - in builds/debian_unstable: . textui_oss_ldap textui_oss_srp_onlineconf
erik at minisip.org
erik at minisip.org
Thu Jun 14 16:30:58 CEST 2007
Author: erik
Date: 2007-06-14 16:30:57 +0200 (Thu, 14 Jun 2007)
New Revision: 119
Added:
builds/debian_unstable/textui_oss_ldap/
builds/debian_unstable/textui_oss_ldap/build.sh
builds/debian_unstable/textui_oss_srp_onlineconf/
builds/debian_unstable/textui_oss_srp_onlineconf/build.sh
Log:
* Added test builds for
- Minisip with SRP+online configuration
- Minisip with LDAP support
Added: builds/debian_unstable/textui_oss_ldap/build.sh
===================================================================
--- builds/debian_unstable/textui_oss_ldap/build.sh (rev 0)
+++ builds/debian_unstable/textui_oss_ldap/build.sh 2007-06-14 14:30:57 UTC (rev 119)
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#
+# Build minisip with LDAP support in libmnetutil.
+#
+# Erik Eliasson, eliasson at it.kth.se
+#
+
+REV=$1
+BASE=`pwd`
+PREFIX=${BASE}/usr
+REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
+export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
+export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
+
+mkdir -p ${PREFIX}/share/aclocal
+
+svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
+
+# delay build until load is low (only available on dev.minisip.org)
+sleep_while_load 2
+
+# compile with zrtp and alsa options (other than the prefix)
+# and with gnutls instead of openssl
+# fix: config options are added to all libraries, even if only
+# one should get it
+cd trunk
+for LIB in libmutil libmnetutil libmcrypto libmstun libmikey libzrtpcpp libmsip libminisip minisip ; do
+ cd $LIB
+ echo "" >&2
+ echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
+ ./bootstrap && ./configure --enable-debug --enable-textui --enable-ldap prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+ cd ..
+done
+
+#cd $BASE
+#mkdir output
+#cp something_to_put_on_www output
+
Property changes on: builds/debian_unstable/textui_oss_ldap/build.sh
___________________________________________________________________
Name: svn:executable
+ *
Added: builds/debian_unstable/textui_oss_srp_onlineconf/build.sh
===================================================================
--- builds/debian_unstable/textui_oss_srp_onlineconf/build.sh (rev 0)
+++ builds/debian_unstable/textui_oss_srp_onlineconf/build.sh 2007-06-14 14:30:57 UTC (rev 119)
@@ -0,0 +1,45 @@
+#!/bin/bash
+
+#
+# Builds minisip with SRP support. This is supported only when using
+# gnutls, and not with openssl. The onlineconf backend is also included.
+#
+# Erik Eliasson, eliasson at it.kth.se
+#
+
+
+REV=$1
+BASE=`pwd`
+PREFIX=${BASE}/usr
+REV=$1
+
+#Faster compiles, but requires ccache
+export CXX="ccache g++"
+
+export PKG_CONFIG_PATH=${PREFIX}/lib/pkgconfig
+export ACLOCAL_FLAGS="-I ${PREFIX}/share/aclocal"
+
+mkdir -p ${PREFIX}/share/aclocal
+
+svn co -r $REV svn://svn.minisip.org/minisip/trunk || { echo "ERROR Could not download source" >&2 && exit 1 ; }
+
+# delay build until load is low (only available on dev.minisip.org)
+sleep_while_load 2
+
+# compile with zrtp and alsa options (other than the prefix)
+# and with gnutls instead of openssl
+# fix: config options are added to all libraries, even if only
+# one should get it
+cd trunk
+for LIB in libmutil libmnetutil libmcrypto libmstun libmikey libzrtpcpp libmsip libminisip minisip ; do
+ cd $LIB
+ echo "" >&2
+ echo "AUTOBUILD_INFO: processing ${LIB}..." >&2
+ ./bootstrap && ./configure --enable-textui LDFLAGS="-lgnutls-extra -lgnutls" --enable-srp --enable-onlineconf prefix=$PREFIX && nice -16 make -j2 && nice -16 make install || { echo "ERROR: Could not bootstrap/configure/compile/install ${LIB}" >&2 && exit 1 ; }
+ cd ..
+done
+
+#cd $BASE
+#mkdir output
+#cp something_to_put_on_www output
+
Property changes on: builds/debian_unstable/textui_oss_srp_onlineconf/build.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the Minisip-devel
mailing list